import 'package:cpt_uk/modules/main/main_page.dart';
import 'package:plugin_basic/basic_export.dart';
import 'package:router/componentRouter/uk_service.dart';

/// 英国组件对应的路由实现类
class UKServiceImpl extends GetxService implements UKService {
  @override
  void onInit() {
    super.onInit();
    //初始化资源
  }

  @override
  void onClose() {
    super.onClose();
    //销毁资源
  }

  @override
  void startUKMainPage() {
    UKMainPage.startWithPopAll();
  }
}
